[pitivi] xdg-app: Update meson and work around py3.3 os.makedirs issue
- From: Thibault Saunier <tsaunier src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [pitivi] xdg-app: Update meson and work around py3.3 os.makedirs issue
- Date: Sun, 7 Feb 2016 09:29:14 +0000 (UTC)
commit 6099e63027a606e9fb8c66192f74f37073d6b531
Author: Thibault Saunier <tsaunier gnome org>
Date: Sat Feb 6 14:53:40 2016 +0100
xdg-app: Update meson and work around py3.3 os.makedirs issue
build/xdg-app/gst-transcoder-configure | 33 ++++++++++++++++++++++++++++++++
build/xdg-app/meson-configure | 3 +-
build/xdg-app/pitivi-bundle | 2 +-
build/xdg-app/pitivi.template.json | 8 +++++++
4 files changed, 43 insertions(+), 3 deletions(-)
---
diff --git a/build/xdg-app/gst-transcoder-configure b/build/xdg-app/gst-transcoder-configure
new file mode 100755
index 0000000..0ae8864
--- /dev/null
+++ b/build/xdg-app/gst-transcoder-configure
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+
+which meson > /dev/null 2>&1
+if [ $? != 0 ]
+then
+ echo "You should install mesonbuild to build gst-transcoder: http://mesonbuild.com/"
+ echo "You can simply install it with:"
+ echo " $ sudo pip3 install meson"
+
+ exit 1
+fi
+
+rm -Rf build > /dev/null 2>&1
+mkdir build/ && cd build && meson ../ $@
+
+cat <<EOF > $DIR/Makefile
+all:
+ cd build && ninja
+
+install:
+ chmod 775 /app/lib
+ chmod 775 /app/bin
+ chmod 775 /app/lib/pkgconfig
+ cd build && ninja install
+
+clean:
+ rm -Rf build
+ rm Makefile
+
+EOF
+
diff --git a/build/xdg-app/meson-configure b/build/xdg-app/meson-configure
index dc6fe5b..ebbfda4 100755
--- a/build/xdg-app/meson-configure
+++ b/build/xdg-app/meson-configure
@@ -7,8 +7,7 @@ all:
echo "Nothing"
install:
- ./install_meson.py $FLAGS
-
+ pip3 install --install-option="--prefix=/app/" meson==0.29
EOF
diff --git a/build/xdg-app/pitivi-bundle b/build/xdg-app/pitivi-bundle
index e44993f..8d41525 100755
--- a/build/xdg-app/pitivi-bundle
+++ b/build/xdg-app/pitivi-bundle
@@ -262,7 +262,7 @@ then
else
DEVELOPMENT_BRANCHNAME=${BRANCH:-master}
APP_BUILD_NAME=$APPLICATION_NAME
-. LOCAL_REPOS_PATH=/nowhere/really
+ LOCAL_REPOS_PATH=/nowhere/really
fi
if [ -n "$BUNDLE" ]
diff --git a/build/xdg-app/pitivi.template.json b/build/xdg-app/pitivi.template.json
index 3d50cc3..0c2325a 100644
--- a/build/xdg-app/pitivi.template.json
+++ b/build/xdg-app/pitivi.template.json
@@ -262,6 +262,9 @@
{
"name": "meson",
+ "build-options" : {
+ "build-args": ["--share=network"]
+ },
"sources": [
{
"type": "git",
@@ -283,6 +286,11 @@
{
"type": "git",
"url": "https://github.com/thiblahute/gst-transcoder.git"
+ },
+ {
+ "type": "file",
+ "path": "gst-transcoder-configure",
+ "dest-filename": "configure"
}
]
},
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]